Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ arm64, hppa, sparc ], all versions are unstable: [ 1.5_p20230215, 1.5_p20230618, 1.5_p20231206 ]
    • RequiredUseDefaults
      profile: 'default/linux/arm64/17.0' (32 total) failed REQUIRED_USE: dvd
    • DeprecatedDep
      DEPEND: deprecated dependency: media-sound/pulseaudio
    • DeprecatedDep
      DEPEND: deprecated dependency: media-sound/pulseaudio
    • DeprecatedDep
      RDEPEND: deprecated dependency: media-sound/pulseaudio
    • DeprecatedDep
      DEPEND: deprecated dependency: media-sound/pulseaudio
    • DeprecatedDep
      RDEPEND: deprecated dependency: media-sound/pulseaudio
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm, ppc, ppc64, x86 ], potentials: [ ~arm64, ~hppa, ~sparc ]
    • DeprecatedDep
      RDEPEND: deprecated dependency: media-sound/pulseaudio
    • UseFlagWithoutDeps
      special small-files USE flags without effect on dependencies: [ ipv6, unicode ]
    • StableRequest
      slot(0) no change in 45 days for unstable keywords: [ ~amd64, ~arm, ~ppc, ~ppc64, ~x86 ]
    • UseFlagWithoutDeps
      special small-files USE flags without effect on dependencies: [ ipv6, unicode ]
    • DeprecatedDep
      DEPEND: deprecated dependency: media-sound/pulseaudio
    • UseFlagWithoutDeps
      special small-files USE flags without effect on dependencies: [ ipv6, unicode ]
    • UseFlagWithoutDeps
      special small-files USE flags without effect on dependencies: [ ipv6, unicode ]
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.5_p20230618
    • DeprecatedDep
      RDEPEND: deprecated dependency: media-sound/pulseaudio
    • RequiredUseDefaults
      profile: 'default/linux/arm64/17.0' (32 total) failed REQUIRED_USE: dvd
    • RequiredUseDefaults
      profile: 'default/linux/arm64/17.0' (32 total) failed REQUIRED_USE: dvd
  • 9999
    • DeprecatedDep
      RDEPEND: deprecated dependency: media-sound/pulseaudio
    • DeprecatedDep
      DEPEND: deprecated dependency: media-sound/pulseaudio
    • UseFlagWithoutDeps
      special small-files USE flags without effect on dependencies: [ ipv6, unicode ]
  • 1.5_p20231206
    • RequiredUseDefaults
      profile: 'default/linux/arm64/17.0' (32 total) failed REQUIRED_USE: dvd
    • DeprecatedDep
      DEPEND: deprecated dependency: media-sound/pulseaudio
    • DeprecatedDep
      RDEPEND: deprecated dependency: media-sound/pulseaudio
    • UseFlagWithoutDeps
      special small-files USE flags without effect on dependencies: [ ipv6, unicode ]
    • StableRequest
      slot(0) no change in 45 days for unstable keywords: [ ~amd64, ~arm, ~ppc, ~ppc64, ~x86 ]
  • 1.5_p20230618
    • DeprecatedDep
      DEPEND: deprecated dependency: media-sound/pulseaudio
    • DeprecatedDep
      RDEPEND: deprecated dependency: media-sound/pulseaudio
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm, ppc, ppc64, x86 ], potentials: [ ~arm64, ~hppa, ~sparc ]
    • UseFlagWithoutDeps
      special small-files USE flags without effect on dependencies: [ ipv6, unicode ]
    • RequiredUseDefaults
      profile: 'default/linux/arm64/17.0' (32 total) failed REQUIRED_USE: dvd
  • 1.5_p20230215
    • DeprecatedDep
      DEPEND: deprecated dependency: media-sound/pulseaudio
    • UseFlagWithoutDeps
      special small-files USE flags without effect on dependencies: [ ipv6, unicode ]
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.5_p20230618
    • DeprecatedDep
      RDEPEND: deprecated dependency: media-sound/pulseaudio
    • RequiredUseDefaults
      profile: 'default/linux/arm64/17.0' (32 total) failed REQUIRED_USE: dvd

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.